# Uses of Interface
org.eclipse.birt.report.engine.api.IRunnable

Packages that use IRunnable
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of IRunnable in org.eclipse.birt.report.engine.api

Subinterfaces of IRunnable in org.eclipse.birt.report.engine.api
Modifier and Type
Interface
Description
`interface`
`IReportRunnable`
A runnable report design (i.e., not modifiable) that can be run in the BIRT engine
Methods in org.eclipse.birt.report.engine.api with parameters of type IRunnable
Modifier and Type
Method
Description
`IGetParameterDefinitionTask`
IReportEngine.`createGetParameterDefinitionTask(IRunnable reportRunnable)`
Creates an engine task for obtaining report parameter definitions.
`IGetParameterDefinitionTask`
ReportEngine.`createGetParameterDefinitionTask(IRunnable reportRunnable)`
creates an engine task for obtaining report parameter definitions